# Interface PlatformAwareComponentSpec

All Superinterfaces:
  `ComponentSpec, ModelElement, Named, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `JvmLibrarySpec, NativeExecutableSpec, NativeLibrarySpec, PlayApplicationSpec, PlayPlatformAwareComponentSpec, TargetedNativeComponent`

@Incubating public interface PlatformAwareComponentSpec extends VariantComponentSpec
Defines Platform specific operations for ComponentSpecs

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`targetPlatform(String targetPlatform)`
Specifies a platform that this component should be built be for.

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### targetPlatform

void targetPlatform(String targetPlatform)
Specifies a platform that this component should be built be for.